GNU/Linux Administration - Feature #656

Create a Favicon Image From A PNG File Using ImageMagick
09/07/2015 04:31 PM - Daniel Curtis

Status: Closed Start date: 09/07/2015
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Web Server Estimated time: 0.10 hour
Target version: *nix Spent time: 0.20 hour

Description

Favicons are simple images that are displayed in web browser tabs. This is a simple guide on how to create them using
ImageMagick.

¢ JPGto ICO

convert -resize x16 —gravity center -crop 16x16+0+0 input.]jpg —-transparent white -colors 256 £
avicon.ico

® GIF or PNG to ICO

convert -resize x16 —-gravity center -crop 16x16+0+0 input.png -background transparent —-flatten
favicon.ico

Resources

e http://stackoverflow.com/questions/3185677/converting-gifs-pngs-and-jpgs-to-ico-files-using-imagemagick

History

#1 - 09/07/2015 04:33 PM - Daniel Curtis
- Description updated
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 09/08/2015 05:23 PM - Daniel Curtis

- Description updated

#3 - 09/11/2015 05:25 PM - Daniel Curtis

- Status changed from Resolved to Closed
